import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, h = Object.getOwnPropertyDescriptor, c = (l, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? h(t, o) : t, i = l.length - 1, n; i >= 0; i--)
    (n = l[i]) && (e = (r ? n(t, o, e) : n(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--dinersClub", this.class = "c-pieIcon c-pieIcon--dinersClub", this.name = "IconPaymentDinersClub";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--dinersClub"><path fill="#0079BE" fill-rule="evenodd" d="M10.85 19h2.508c3.912 0 7.03-3.104 7.152-6.939v-.06c-.06-3.896-3.24-7.061-7.153-7h-2.812c-3.73.122-6.664 3.287-6.541 7.06 0 3.774 3.056 6.878 6.847 6.939Zm-5.624-7c0-3.165 2.63-5.782 5.808-5.782 3.18 0 5.808 2.617 5.808 5.782s-2.629 5.783-5.808 5.783S5.226 15.165 5.226 12Zm6.725 3.896v-7.73c2.14.548 3.485 2.678 2.935 4.808a3.972 3.972 0 0 1-2.935 2.922Zm-4.707-4.87a4 4 0 0 0 2.873 4.87v-7.73a4.012 4.012 0 0 0-2.873 2.86Z" clip-rule="evenodd"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  u("icon-payment-diners-club")
], s);
export {
  s as IconPaymentDinersClub
};
